API

Get Started

WelcomeQuickstartExamplesChangelogSDKs and Tools

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chain

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeks
HelpFeedback
Order Placement

Replace order

Cancel-Replace an existing order

Submits a request to replace an existing order asynchronously for the specified account. Note: Order replacement is asynchronous. This response confirms submission only. To verify the order status or execution details, use the GET /{orderId} endpoint after replacement.

You are using your live production account. These commands will execute real orders in your real account, proceed with caution.

PUT/userapigateway/trading/{accountId}/order

Parameters

Path Parameters

string

Request body

Required*

Parameters

NameTypeRequiredDescription
accountIdstringYes-

Body

application/json

Request Body

application/json
orderIdstringrequired

This value identifies the order to be replaced; if reused on the same account, the operation is idempotent. If the order is re-submitted due to a read timeout, do not modify any properties. If the original request succeeded, altering fields will have no effect.

requestIdstringrequired

Id of the new order in UUID-format conforming to RFC 4122 (standard 8-4-4-4-12 format, e.g., 0d2abd8d-3625-4c83-a806-98abf35567cc). The new orderId must be globally unique over time.

orderTypeenum<string>required

The Type of order

Available options: MARKET,LIMIT,STOP,STOP_LIMIT
expirationrequired
quantitystring

The order quantity. Used when buying/selling whole shares and when selling fractional.

limitPricestring

The limit price. Used when orderType = LIMIT or orderType = STOP_LIMIT

stopPricestring

The stop price. Used when orderType = STOP or orderType = STOP_LIMIT

Responses

Response

200
application/json
orderIdstring

Response

400application/json

Order validation failed.

No response body defined

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "orderId": "4de7ad38-bfc4-463d-8e2c-6a77b87952dd"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more